const $ = require("jquery");
let evEnt = ("ontouchstart" in document) ? 'touchstart' : 'click';
//TODO 扩展jQuery
$.fn.extend({
	/**
	 * 加载元素行高
	 */
	loadLineHeight:function () {
		this.css("line-height",this.css("height"));
		return this;
	}
	/**
	 * 设置元素横向居中
	 */
	,marginCenter:function () {
		let margin = (this.parent().width()-this.width())/2;
		this.css("margin-left",margin>0?margin:0);
		return this;
	}
	/**
	 * 设置元素纵向居中
	 */
	,marginMiddle:function () {
		let margin = (this.parent().height()-this.height())/2;
		this.css("margin-top",margin>0?margin:0);
		return this;
	}
	/**
	 * 设置元素横向偏移居中
	 */
	,leftCenter:function () {
		let left = (this.parent().width()-this.width())/2;
		this.css("left",left>0?left:0);
		return this;
	}
	/**
	 * 设置元素纵向偏移居中
	 */
	,topMiddle:function () {
		console.log("topMiddle",this.parent().height(),this.height());
		let top = (this.parent().height()-this.height())/2;
		this.css("top",top>0?top:0);
		return this;
	}
	,widthToHeight:function () {
		this.css("width",this.css("height"));
		return this;
	}
	,heightToWidth:function () {
		this.css("height",this.css("width"));
		return this;
	}
	/**
	 * 重写click函数
	 * @param callback
	 */
	,click:function (callback) {
		this.on(evEnt,callback);
	}
	/**
	 * 点击一次
	 * @param callback
	 */
	,oneClick:function (callback) {
		this.one(evEnt,callback);
	}
});